Docs
Browser

Browser Upload File

POST/browser/sessions/{id}/files
AuthorizationBearer <token>

Enter your API key with the bc_ prefix

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

content_base64*string

Standard base64; at most 10 MiB (10,485,760 bytes) decoded.

Lengthlength <= 13981016
name*string

Response Body

application/json

curl -X POST "https://example.com/browser/sessions/string/files" \  -H "Content-Type: application/json" \  -d '{    "content_base64": "string",    "name": "string"  }'
{  "data": {    "bytes": 0,    "created_at": "string",    "direction": "upload",    "download_url": "string",    "expires_at": "string",    "filename": "string",    "id": "string",    "kind": "string",    "mime": "string",    "mime_type": "string",    "name": "string",    "session_id": "string",    "sha256": "string",    "size": 0,    "source_url": "string"  },  "success": true}